#ifndef FONT_H
#define FONT_H

#define u32 unsigned int
#define u8 unsigned char
#include "gbitmap.h"

   struct SfontHeader{
          u32  typeFile;      //Identificador de los archivos mkfreeOS
          u8 magicChar[6];  //MKFONT
          u32 family;
          u8  width;
          u8  height;
          u32 countChar;
          char name[128];
   };

enum  TextAlignment {
    alignTopLeft,
    alignCenterTop,
    alignCenter,
    alignCenterBottom,
    alignTopRight,
};


class Gfont {
public:
    Gfont();
    GgraphicsBitmap *getCharBitmap(char car);
    int width;
    int height;
    int spaceSeparator;
    int countChar;
    int *linearBuffer;
private:
    int buildFontTypeBinary(char *buffer);


};

#endif

