
#ifndef GBUTTON_H
#define GBUTTON_H
#include "control.h"

enum eButtonStyle{
  styGrey, styBlue, styGreen
};
enum eButtonBorder{
  btbNone, btbSolid
};
enum eButtonState {
    bsNormal, bsClicked
};

class Gbutton : public Gcontrol {
public:
    Gbutton();
    void clickPressDown(Gcontrol *sender, int x, int y);
    void mouseMove(Gcontrol *sender, int x, int y);
    void clickPressUp(Gcontrol *sender, int x, int y);
    void focused();
    Gbutton(int ax, int ay, int width, int height,Gcontrol *parent);
    void repaint();
    string caption;
    int x,y;
    int style;
    GgraphicsBitmap *bitmap;
    ~Gbutton();
private:
    int bstate;
    Gfont *font;

protected:
    void initialized();
};

#endif

