//---------------------------------------------------------------------------


#pragma hdrstop
#include "Unit1.h"
#include "GcontrolScrolled.h"

 GcontrolScrolled::GcontrolScrolled(int x, int y, int width, int height, Gcontrol *control) : Gcontrol(x,y,width,height,control) {
    setClassName("GcontrolScrolled");
    vScrollBar = new  GscrollBar(getwidth()-24,0,24,getheight()-24,kindVertical,this);
    hScrollBar = new  GscrollBar(0,getheight()-24,getwidth()-24,24,kindHorizontal,this);
    canvas->backgroundColor(clWhite);
    canvas->borderColor(1,0,Gcolor(0x00a4a4a4));
   // vScrollBar->setvisible(false);
    //hScrollBar->setvisible(false);
    realDrawContent.setwidth(width-24);
    realDrawContent.setheight(height-24);
 }

/*int GcontrolScrolled::getRealWidthContent(){
    if (vScrollBar->getvisible())
       return sizeContentWidth - vScrollBar->getwidth();
    return sizeContentWidth;
}

int GcontrolScrolled::getRealHeightContent(){
   if (hScrollBar->getvisible())
       return sizeContentHeight - hScrollBar->getwidth();
    return sizeContentHeight;
}  */

 int GcontrolScrolled::updateSizeContent(int width, int height){
     if (sizeContentHeight == height && sizeContentWidth == width) return 0;
     sizeContentHeight  = height;
     sizeContentWidth = width;
     int  maxX =  sizeContentHeight - realDrawContent.height();
     int  maxY =  sizeContentWidth - realDrawContent.width() ;

     if (maxX){
        vScrollBar->max = maxX;
        vScrollBar->repaint();
      }
     if (maxY){
        hScrollBar->max = maxY;
        hScrollBar->repaint();
      }
 }

 void GcontrolScrolled::setVisibleVerticalScrollBar(bool visible){
       visibleVerticalScrollBar =  visible;
       vScrollBar->setvisible(visible);
       if (visible == false){
           realDrawContent.setwidth(getwidth()-vScrollBar->getwidth());

       } else
          realDrawContent.setwidth(getwidth());
        //  refresh(realDrawContent);
 }

 void GcontrolScrolled::setVisibleHorizontalScrollBar(bool visible){
       visibleHorizontalScrollBar =  visible;
       hScrollBar->setvisible(visible);
       if (visible == false){
           realDrawContent.setheight(getheight()-vScrollBar->getheight());

       } else
          realDrawContent.setheight(getheight());

         // refresh(realDrawContent);
 }


//---------------------------------------------------------------------------

#pragma package(smart_init)
