//---------------------------------------------------------------------------

#ifndef GcontrolScrolledH
#define GcontrolScrolledH
#include "GscrollBar.h"

class GcontrolScrolled  : public Gcontrol {
    public:
      GcontrolScrolled (int x, int y, int width, int height, Gcontrol *control);
      int updateSizeContent(int width, int height);
      void setVisibleVerticalScrollBar(bool visible);
      void setVisibleHorizontalScrollBar(bool visible);
      GscrollBar *hScrollBar, *vScrollBar;
      Grect realDrawContent;
      //int getRealWidthContent();
      //int getRealHeightContent();
    private:
      int sizeContentWidth,sizeContentHeight;
      bool visibleVerticalScrollBar, visibleHorizontalScrollBar;


};
//---------------------------------------------------------------------------
#endif
