#include "Gwindows.h"
#include "GWbartitle.h"
#include "canvasPainter.h"
#include "Unit1.h"

Gwindows::Gwindows() : Gcontrol(0,0,200,200, 0){
    setClassName("Gwindows");
}

Gwindows::Gwindows(int x, int y, int width, int height,Gcontrol *parent) : Gcontrol(x, y, width, height, parent) {
    setClassName("Gwindows");
    containerlayout =  new GcanvasPainter(new GgraphicsBitmap(width,height));
    initialized();
}

void Gwindows::repaint() {
    canvas->backgroundColor(Gcolor(0xd4d4d4));
    canvas->borderColor(3,0, Gcolor(0x00a4a4a4));
}


void Gwindows::initialized() {
    controlFocused = 0;
    controlMouseMove = 0;
    repaint();
    bartitle = new GWbartitle(1, 1, getwidth()-2, 27, this);
    bartitle->repaint();
}

Gwindows::~Gwindows() {
}

