/*Copyright (C) 2019  Ramn Mayedo Morales (ramonmayedo@gmail.com)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

#ifndef GWINDOWS_H
#define GWINDOWS_H
#include "../basics/control.h"
#include "GWbartitle.h"

enum eWindowsState {
    wsNormal, wsMaximized, wsMinimized
};

typedef void (eventOnCreate) (Gcontrol *sender);

class Gwindows : public Gcontrol {
public:
    Gwindows();
    Gwindows(int x, int y, int width, int height, Gcontrol *parent);
    void repaint();
    ~Gwindows();
    Gcontrol *controlFocused;
    Gcontrol *controlMouseMove;
    void *application;
    eventOnCreate *OnCreate;

private:
    void initialized();
    GWbartitle *bartitle;
     GcanvasPainter *mainLayout;
     string caption;

};

#endif

