
#include "font.h"
#include <stdio.h>
#include <vcl.h>

Gfont::Gfont(){
    FILE *fileFont = fopen("D:/lucida.fnt","rb");
    SfontHeader header;
    fread(&header,sizeof(SfontHeader),1,fileFont);
    fseek(fileFont,256,SEEK_SET);
    if (fileFont){
       width = header.width;
       height = header.height;
       countChar = header.countChar;
       if (header.family == 0x24) {
           char *buffer;
           buffer = new char[height*countChar];
           fread(buffer,height*countChar,1,fileFont);
           buildFontTypeBinary(buffer);
           spaceSeparator = 2;
           delete(buffer);
       }
    }
    fclose(fileFont);
}

int Gfont::buildFontTypeBinary(char *buffer){
     linearBuffer = new int[height*countChar];
     for (int i=0;i<height*countChar;i++)
          linearBuffer[i] =  buffer[i];
}
